コンテンツへスキップ

Wan v2.6 Reference to Video

統合

モデルID wan/v2.6/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.6/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "videos": [
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.75 750 APIクレジット このページで実行

APIキーを取得
Alibaba 参照画像から動画 参照入力5–10 s1080pまで #reference-to-video

1~3本の参照動画から被写体を維持する動画生成。@Video1~@Video3で参照

Alibaba · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

1500文字以内のプロンプト。動画内の対象を@Video1、@Video2、@Video3で識別します。対象は人物、動物、物体にできます。マルチショットプロンプトの形式: '[0-3s] Shot 1. [3-6s] Shot 2.'

•必須 video_urls
ファイルをドロップ、または

対象の一貫性を維持するための参照動画を1~3本指定します。人物、動物、物体に対応し、プロンプトでは@Video1、@Video2、@Video3で識別します。各動画は少なくとも16 FPS、長さ2~30秒、サイズ100 MB以下である必要があります。

duration 5 s

生成動画の長さを秒単位で設定します。R2Vでは5秒または10秒を選択します。15秒には対応していません。

aspect_ratio デフォルト 16:9

出力動画のアスペクト比。

resolution デフォルト 1080p

動画出力の解像度階層。R2Vは720pまたは1080pを受け付けますが、480pには対応していません。

詳細設定 negative_prompt · seed · enable_prompt_expansion · multi_shots · enable_safety_checker
デフォルト

不要な内容を指定するネガティブプロンプト。500文字以内。

生成を再現可能にするシード。None に設定するとシードをランダムに選択します。

POST /run/wan/v2.6/reference-to-video?wait=20 見積もり → $0.75
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.6/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "videos": [
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Wan v2.6 Reference to Videoについて

`video_urls`内の1~3本の動画(各16 FPS以上)から人物、動物、物体などの被写体を取り込んだクリップを生成します。プロンプトでは@Video1、@Video2、@Video3として参照でき、時間指定ショットも記述できます。`aspect_ratio`は5種類、`resolution`は720pまたは1080p、`duration`は5または10秒です。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
1500文字以内のプロンプト。動画内の対象を@Video1、@Video2、@Video3で識別します。対象は人物、動物、物体にできます。マルチショットプロンプトの形式: '[0-3s] Shot 1. [3-6s] Shot 2.'
video_urls必須 videos
型url[] · video
対象の一貫性を維持するための参照動画を1~3本指定します。人物、動物、物体に対応し、プロンプトでは@Video1、@Video2、@Video3で識別します。各動画は少なくとも16 FPS、長さ2~30秒、サイズ100 MB以下である必要があります。
aspect_ratio任意
型enum
デフォルト16:9
16:99:161:14:33:4
出力動画のアスペクト比。
resolution任意
型enum
デフォルト1080p
720p1080p
動画出力の解像度階層。R2Vは720pまたは1080pを受け付けますが、480pには対応していません。
duration任意
型enum
デフォルト5
510
生成動画の長さを秒単位で設定します。R2Vでは5秒または10秒を選択します。15秒には対応していません。
negative_prompt任意
型string | null
デフォルト
不要な内容を指定するネガティブプロンプト。500文字以内。
enable_prompt_expansion任意
型boolean
デフォルトtrue
LLMがプロンプトを書き換えるかどうかを制御します。
multi_shots任意
型boolean
デフォルトtrue
enable_prompt_expansionをTrueに設定した場合のみ使用できるショット分割設定。デフォルトのtrueではインテリジェント分割でショット間に一貫した物語を構成し、falseでは動画を1つの連続したショットにします。
seed任意
型integer | null
生成を再現可能にするシード。None に設定するとシードをランダムに選択します。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックの切り替え。オフにするにはアカウント認証が必要です。認証がない場合、設定に関係なくすべてのリクエストがチェックされます。trueでチェッカーを有効にします。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.6/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 750,
    "usd": "0.75",
    "charged": 750,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_urls": [
      "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42,
    "actual_prompt": "Dance battle between Character1 and Character2, cinematic lighting, dynamic camera movement."
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}生成された動画ファイル。
seed
integer生成時に使用するシード値。
actual_prompt
string | null書き換えが有効な場合に実際に使用されるプロンプト。

その他のモデル: 参照画像から動画

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/wan/v2.6/reference-to-video.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt